Stream public execution updates
SSE endpoint for real-time public execution status updates using the client token returned at creation time.
GET
/v1/public/executions/{id}/stream
SSE endpoint for real-time public execution status updates using the client token returned at creation time.
Path Parameters
id
string
required
path
Execution ID
Query Parameters
token
string
required
query
Client token returned when the execution was created
Responses
200
SSE stream with execution updates
text/event-stream
400
Bad Request
401
Unauthorized
curl -X GET 'https://api.example.com/v1/public/executions/string/stream?token=string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/public/executions/string/stream?token=string', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/public/executions/string/stream?token=string', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/public/executions/string/stream?token=string", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
"<string>"
API Playground
Try this endpoint
GET
/v1/public/executions/{id}/stream
